require "PalmConduit"
require "PalmStdInterpreters"
require "PalmDumbInterpreters"
require "PEMInterpreter"
require "MoneyInterpreter"

require "dbmdb"

def setConduits(psync)  # psync should be an instance of PalmSync

  psync.setConduit("AddressDB",DefaultConduit,PalmAddressInterpreter,
             DbmDB,"AddressDB",nil)

  psync.setConduit("ToDoDB",DefaultConduit,PalmTodoInterpreter,
             DbmDB,"ToDoDB",nil)
       
  psync.setConduit("MemoDB",DefaultConduit,PalmMemoInterpreter,
             DbmDB,"MemoDB",nil)

  psync.setConduit("ExpenseDB",DefaultConduit,PalmExpenseInterpreter,
             DbmDB,"ExpenseDB",nil)

  psync.setConduit("DatebookDB",DefaultConduit,PalmAppointInterpreter,
             DbmDB,"DatebookDB",nil)

end

